package label

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"

	"wechat-api/internal/logic/label"
	"wechat-api/internal/svc"
	"wechat-api/internal/types"
)

// swagger:route post /label/select_list label GetLabelSelectList
//
// Get label list | 获取Label列表
//
// Get label list | 获取Label列表
//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: LabelListReq
//
// Responses:
//  200: LabelListResp

func GetLabelSelectListHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.LabelListReq
		if err := httpx.Parse(r, &req, true); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := label.NewGetLabelSelectListLogic(r.Context(), svcCtx)
		resp, err := l.GetLabelSelectList(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
